<?php

namespace v1\models;

use app\models\CompraProducto as ModeloCompraProducto;

class CompraProducto extends ModeloCompraProducto
{

    public function fields()
    {
        return [
            'id',
            'idCompra',
            'idUnidadMedida',
            'idPartida',
            'producto',
            'descripcion',
            'cantidad',
            'precio',
            'creado',
            'modificado',

        ];
    }
    public function extraFields() {
        return [
            'compra',
            'partida',
            'unidadMedida',
        ];
    }

    public function getCompra()
    {
        return $this->hasOne(Compra::class, ['id' => 'idCompra']);
    }

    public function getPartida()
    {
        return $this->hasOne(Partida::class, ['id' => 'idPartida']);
    }

    public function getUnidadMedida()
    {
        return $this->hasOne(UnidadMedida::class, ['id' => 'idUnidadMedida']);
    }
}
