<?php

use yii\db\Migration;

/**
 * Class m240823_182952_Ingreso_Herramienta_Inventario
 */
class m240823_182952_Ingreso_Herramienta_Inventario extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->createTable('HerramientaInventario', [
            "id" => $this->string(36),
            "idHerramienta" => $this->string(100),
            "cantidad" => $this->integer(100),
           "fechaIngreso" => $this->timestamp()->append(" with time zone"),
            "creado" => $this->timestamp()->append(" with time zone"),
            "modificado" => $this->timestamp()->append(" with time zone"),
            "eliminado" => $this->timestamp()->append(" with time zone"),
        ]);

        $this->addPrimaryKey('HerramientaInventarioPK', 'HerramientaInventario', 'id');
        $this->addForeignKey("HerramientaInventarioHerramientaFK", "HerramientaInventario", "idHerramienta", "Herramienta", "id");

    }
 
    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropForeignKey("HerramientaInventarioHerramientaFK", "HerramientaInventario");
        $this->dropTable('HerramientaInventario');
    }

    /*
    // Use up()/down() to run migration code without a transaction.
    public function up()
    {

    }

    public function down()
    {
        echo "m240823_182952_Ingreso_Herramienta_Inventario cannot be reverted.\n";

        return false;
    }
    */
}
