<?php

namespace v1\models;

use app\models\HerramientaInventario as ModeloHerramientaInventario;

class HerramientaInventario extends ModeloHerramientaInventario
{

    public function fields()
    {
        return [
            'id',
            'idHerramienta',
            'cantidad',
            'estatus',
            'fechaIngreso',
            'descripcion',
            'creado',
            'modificado',

        ];
    }
    public function extraFields() {
        return [
            'herramienta',
        ];
    }
    public function getHerramienta()
    {
        return $this->hasOne(Herramienta::class, ['id' => 'idHerramienta']);
    }
}
