<?php

namespace v1\models;

use app\models\ServicioTipoServicio as ModeloServicioTipoServicio;

class ServicioTipoServicio extends ModeloServicioTipoServicio {

  public function fields() {
    return [
      'id',
      'idServicio',
      'idTipoServicio',
      'costo',
      'nombre',
      'creado',
      'modificado',
    ];
  }

  public function extraFields() {
    return [
        'servicio',
        'tipoServicio',
    ];
}


public function getServicio()
{
    return $this->hasOne(Servicio::class, ['id' => 'idServicio']);
}

public function getTipoServicio()
{
  return $this->hasOne(TipoServicio::class, ['id' => 'idTipoServicio']);
}
}